### Function

# AppStreamCompose globals_get_tmp_dir

since: 0.13.0

#### Declaration [src]

    const gchar*
    asc_globals_get_tmp_dir (
      void
    )

#### Description [src]

Get temporary directory used by appstream-compose.

Available since: 0.13.0

#### Return value

Type: `const gchar*`

The temporary directory. The string is owned by the global state and is valid until the setting is changed, which is prohibited once composing metadata has started.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.